apachetop(1)

NAME
apachetop - display real-time web server statistics

SYNOPSIS
apachetop [-f filename] [-H hits | -T time] [-q] [-l] [-s segments] [-p] [-r secs] [-o outfile]

DESCRIPTION
ApacheTop watches a logfile generated by Apache (in standard common or combined logformat, and generates human-parsable output in realtime.

-f logfile
    Select which file to watch. Specify this option multiple times to watch multiple files.

-H hits | -T time
    These options are mutually exclusive. Specify only one, if any at all. They work as follows. ApacheTop maintains a table of information internally containing all the relevant information about the hits it's seen. This table can only be a finite size, so you need to decide how big it's going to be. You have two options. You can either: Use -H to say "remember <this many> hits"
    or    Use -T to say "remember all hits in <this many> seconds"
    The default (at the moment) is to remember hits for 30 seconds. Setting this too large (whichever option you choose) will cause ApacheTop to use more memory and more CPU time. My experimentation finds that remembering no more than around 5000 requests works well.

-q  Instructs ApacheTop to keep the querystrings, not remove them.

-l  Instructs ApacheTop to lowercase all URLs, thus /FOO and /foo are treated as the same and accumulate the same statistics.

-s segments
    Instructs ApacheTop to only keep the first <segments> parts of the path. Trailing slashes are kept if present. Statistics are then merged for each truncated url.

-p  Instructs ApacheTop to keep the protocol (http:// usually) at the front of its' referrer strings. Normal behaviour is to remove them to give more room to more useful information.

-r secs
    Set default refresh delay, in seconds.

-o outfile
    Output to a file.

EXAMPLES

apachetop -f /var/logs/httpd/access.log

AUTHOR
Chris Elsworth <chris@shagged.org>

SEE ALSO
http://clueful.shagged.org/apachetop/